Subject: [Policy] Re: IP Protocol value range

From: "Robert Moore" <[email-masked]>
Date: Thu, 31 Jan 2002 16:21:15 -0500

Actually, there are a bunch of properties that have similar
omissions.  This certainly wasn't intentional in the sense
of wanting to allow the properties to represent values that
would be too big to go into the protocol headers.  In some
cases, we *might* have been thinking about allowing "special"
values (also known as illegal values:-) like -1, with some
particular semantic meainings.  (I don't actually recall any
such cases, but the PCIMe authors who actually wrote these
sections might.)  My guess, though, is that we were just
being a little sloppy in our specification.

Now I have an offer for you.  Since you're obviously looking
at this part of PCIMe very closely, if you would produce a
brief list of header fields and the ranges of values they
support, I think we'd be glad to slip the ranges into the draft.

Bert, since Mircea is obviously finding more than just a
single typo, I think we should treat these as comments
coming in during IETF last call.  In other words, while
they're something we need to fix, they don't even approach
updates of a magnitude that would require us to take the
document back to the WG.

Mircea, thanks again for your review.

Regards,
Bob

Bob Moore
Advanced Design and Technology
Application Integration Middleware Division
IBM Software Group
+1-919-254-4436
[email-masked]

                      "Mircea Pana"                                                                        
                      <mpana@nortelnetw        To:       Robert Moore/Raleigh/IBM@IBMUS                    
                      orks.com>                cc:       IETF Policy <[email-masked]>                     
                                               Subject:  IP Protocol value range                           
                      01/31/02 02:37 PM                                                                    

The IP Protocol number is represented in an IP packet on one byte.
Therefore its value is limited to the range: 0..255. In PCIMe (paragraph
5.12.7 on page 50) the class "PolicyIPProtocolVariable" has "ALLOWED
VALUE TYPES: PolicyIntegerValue". The value range is omitted. Is this
intentional?

Thanks,
Mircea.